Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluator.cs	(revision 16462)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPEvaluator", "Represents a single depot CVRP evaluator.")]
-  [StorableClass]
+  [StorableType("7253D8EC-5F91-4E5F-99E0-45AF10AEA9AF")]
   public class CVRPEvaluator : VRPEvaluator {
     public ILookupParameter<DoubleValue> OverloadParameter {
@@ -140,5 +140,5 @@
 
     [StorableConstructor]
-    protected CVRPEvaluator(bool deserializing) : base(deserializing) { }
+    protected CVRPEvaluator(StorableConstructorFlag _) : base(_) { }
 
     public CVRPEvaluator() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPProblemInstance.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPProblemInstance.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPProblemInstance.cs	(revision 16462)
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPProblemInstance", "Represents a single depot CVRP instance.")]
-  [StorableClass]
+  [StorableType("CBE1D39B-9BBE-4119-801B-32739D1E8DEE")]
   public class CVRPProblemInstance : SingleDepotVRPProblemInstance, IHomogenousCapacitatedProblemInstance {
     protected IValueParameter<DoubleValue> CapacityParameter {
@@ -85,5 +85,5 @@
 
     [StorableConstructor]
-    protected CVRPProblemInstance(bool deserializing) : base(deserializing) { }
+    protected CVRPProblemInstance(StorableConstructorFlag _) : base(_) { }
 
     public CVRPProblemInstance() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWEvaluator.cs	(revision 16462)
@@ -26,5 +26,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPPDTWEvaluator", "Represents a single depot CVRPPDTW evaluator.")]
-  [StorableClass]
+  [StorableType("6324F32C-727E-4593-BB21-4625755F844A")]
   public class CVRPPDTWEvaluator : CVRPTWEvaluator {
     public ILookupParameter<IntValue> PickupViolationsParameter {
@@ -306,5 +306,5 @@
 
     [StorableConstructor]
-    protected CVRPPDTWEvaluator(bool deserializing) : base(deserializing) { }
+    protected CVRPPDTWEvaluator(StorableConstructorFlag _) : base(_) { }
 
     public CVRPPDTWEvaluator() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWProblemInstance.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWProblemInstance.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWProblemInstance.cs	(revision 16462)
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPPDTWProblemInstance", "Represents a single depot CVRPPDTW instance.")]
-  [StorableClass]
+  [StorableType("6DC3F907-9CDC-4CDA-8C84-AC9ED248DB3B")]
   public class CVRPPDTWProblemInstance : CVRPTWProblemInstance, IPickupAndDeliveryProblemInstance {
     protected IValueParameter<IntArray> PickupDeliveryLocationParameter {
@@ -91,5 +91,5 @@
 
     [StorableConstructor]
-    protected CVRPPDTWProblemInstance(bool deserializing) : base(deserializing) { }
+    protected CVRPPDTWProblemInstance(StorableConstructorFlag _) : base(_) { }
 
     public CVRPPDTWProblemInstance() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPTWEvaluator", "Represents a single depot CVRPTW evaluator.")]
-  [StorableClass]
+  [StorableType("BB258008-7ECC-488A-BB2A-B38AE0023CFD")]
   public class CVRPTWEvaluator : CVRPEvaluator {
     public ILookupParameter<DoubleValue> TardinessParameter {
@@ -259,5 +259,5 @@
 
     [StorableConstructor]
-    protected CVRPTWEvaluator(bool deserializing) : base(deserializing) { }
+    protected CVRPTWEvaluator(StorableConstructorFlag _) : base(_) { }
 
     public CVRPTWEvaluator() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWProblemInstance.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWProblemInstance.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWProblemInstance.cs	(revision 16462)
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPTWProblemInstance", "Represents a single depot CVRPTW instance.")]
-  [StorableClass]
+  [StorableType("2138BE6C-058E-4003-8578-55E8DE3706C7")]
   public class CVRPTWProblemInstance : CVRPProblemInstance, ITimeWindowedProblemInstance {
     protected IValueParameter<DoubleArray> ReadyTimeParameter {
@@ -107,5 +107,5 @@
 
     [StorableConstructor]
-    protected CVRPTWProblemInstance(bool deserializing) : base(deserializing) { }
+    protected CVRPTWProblemInstance(StorableConstructorFlag _) : base(_) { }
 
     public CVRPTWProblemInstance() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/SingleDepotVRPEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/SingleDepotVRPEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/SingleDepotVRPEvaluator.cs	(revision 16462)
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("SingleDepotVRPEvaluator", "Represents a single depot VRP evaluator.")]
-  [StorableClass]
+  [StorableType("1E0DECD9-54BF-4F69-A743-228C481749A0")]
   public class SingleDepotVRPEvaluator : VRPEvaluator {
     protected override void EvaluateTour(VRPEvaluation eval, IVRPProblemInstance instance, Tour tour, IVRPEncoding solution) {
@@ -84,5 +84,5 @@
 
     [StorableConstructor]
-    protected SingleDepotVRPEvaluator(bool deserializing) : base(deserializing) { }
+    protected SingleDepotVRPEvaluator(StorableConstructorFlag _) : base(_) { }
 
     public SingleDepotVRPEvaluator() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/SingleDepotVRPProblemInstance.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/SingleDepotVRPProblemInstance.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/SingleDepotVRPProblemInstance.cs	(revision 16462)
@@ -26,5 +26,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("SingleDepotVRPProblemInstance", "Represents a single depot VRP instance.")]
-  [StorableClass]
+  [StorableType("A45435DD-F615-45C6-8456-5A49EE5D3C8E")]
   public class SingleDepotVRPProblemInstance : VRPProblemInstance, ISingleDepotProblemInstance {
     protected override IEnumerable<IOperator> GetOperators() {
@@ -64,5 +64,5 @@
 
     [StorableConstructor]
-    protected SingleDepotVRPProblemInstance(bool deserializing) : base(deserializing) { }
+    protected SingleDepotVRPProblemInstance(StorableConstructorFlag _) : base(_) { }
 
     public SingleDepotVRPProblemInstance() {
